I'm a programmer specialising in performant and scalable systems using PHP and Ruby and cooking


Published:

Homebrew Error: Failed to import

Recently I became plagued by this error when running brew doctor, whilst not harmful to my install I never feel comfortable with any errors.

A bit of searching the internet will give you many results that aren't always helpful so here is the short answer:

Run the following in terminal:

find $(brew --prefix)/Library/Formula -type l -name "*requirements.rb" -delete  

This will delete all the old requirements file symlinks as these are no longer required.